Subject: Re: FVWM: Better autoraise anyone?

From: Tim Phipps <[email-masked]>
Date: Thu, 4 Sep 1997 11:55:47 +0100 (BST)

> > Style "emacs" Icon emacs.xmp, Nohandles,Autoraise 300
> > ...
> > Style "pager" Autolower 100
> 

There is a way of doing this with 2.0.46 already.  It involves using multiple 
FvwmAuto's and the Current command. Try the following

Module FvwmAuto 000 Raise000 Lower000
Module FvwmAuto 100 Raise000 Lower100
Module FvwmAuto 200 Raise000 Lower200
Module FvwmAuto 300 Raise000 Lower300
Module FvwmAuto 400 Raise000 Lower400
Module FvwmAuto 500 Raise000 Lower500

AddToFunc Raise000 # immediate raising windows
+ "I" Current [xv] Raise
+ "I" Current [FvwmButtons] Raise

AddToFunc Raise100 # fast raising windows
+ "I" Current [pager] Raise

AddToFunc Raise200

AddToFunc Raise300 # slower raising windows
+ "I" Current [emacs] Raise

AddToFunc Raise400

AddToFunc Raise500 # the rest 
+ "I" Current [!some-window-that-you-dont-want-autoraised] Raise

I know this involves 6 processes and 6 functions executed per focus change, but 
it keeps autoraise out of fvwm.  I think a longer term solution would be to 
rewrite FvwmAuto so as to be configurable on a per window basis e.g.

*FvwmAuto name=emacs, intime=300, infunc=Raise
*FvwmAuto name=pager, intime=100, infunc=Raise, outime=0, outfunc=Lower
*FvwmAuto name=*, intime=500, infunc=my_conditional_raise

Actually this is so different from FvwmAuto that it should have a new name.

Hope this helps,
Timbo.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].